import { Entity, PrimaryColumn, Column } from "typeorm";

@Entity()
export class GuildSetting {
    @PrimaryColumn("varchar")
    id!: string;

    @Column("varchar", { nullable: true, default: null })
    notificationChannelID!: string | null;

    @Column("boolean", { default: false })
    preserveDataOnGuildLeave!: boolean
}